# -*- coding: utf-8 -*-

import datetime

from django.db import models


class Book(models.Model):
    """
    Книга
    """
    name = models.CharField(max_length=20, verbose_name=u'Имя')
    date_of_release = models.DateField(verbose_name=u'Дата издания')

    def __unicode__(self):
        return u'%s (%s)' % (
            self.name, datetime.datetime.strftime(
                self.date_of_release, '%d.%m.%Y'
            )
        )

    class Meta:
        verbose_name = u'Книга'
        verbose_name_plural = u'Книги'
